Update a skill Experimental; added in 9.4.0

PUT /api/agent_builder/skills/{skillId}

Spaces method and path for this operation:

put /s/{space_id}/api/agent_builder/skills/{skillId}

Refer to Spaces for more information.

Update an existing user-created skill. To learn more about Agent Builder skills, refer to the skills documentation.

[Required authorization] Route required privileges: agentBuilder:manageSkills.

Headers

  • kbn-xsrf string Required

    A required header to protect against CSRF attacks

Path parameters

  • skillId string Required

    The unique identifier of the skill.

    Minimum length is 1, maximum length is 512.

application/json

Body

  • content string

    Updated skill instructions content.

  • description string

    Updated description.

  • name string

    Updated name for the skill.

  • referenced_content array[object]

    Not more than 100 elements.

    Hide referenced_content attributes Show referenced_content attributes object
    • content string Required

      Content of the reference.

    • name string Required

      Name of the referenced content.

    • relativePath string Required

      Relative path of the referenced content.

  • tool_ids array[string]

    Updated tool IDs from the tool registry.

    Not more than 100 elements.

Responses

  • 200 application/json

    Indicates a successful response

PUT /api/agent_builder/skills/{skillId}
curl \
  -X PUT "https://${KIBANA_URL}/api/agent_builder/skills/{skillId}" \
  -H "Authorization: ApiKey ${API_KEY}" \
  -H "kbn-xsrf: true" \
  -H "Content-Type: application/json" \
  -d '{
    "name": "Updated Skill Name",
    "description": "Updated description for the skill."
  }'
PUT kbn:/api/agent_builder/skills/{skillId}
{
  "name": "Updated Skill Name",
  "description": "Updated description for the skill."
}
Request example
Example request to update a user-defined skill
{
  "content": "Updated skill instructions content.",
  "description": "Updated description for the skill.",
  "name": "Updated Skill Name",
  "tool_ids": [
    "platform.core.search",
    "platform.core.execute_esql"
  ]
}
Response examples (200)
Example response returning the updated skill
{
  "content": "Updated skill instructions content.",
  "description": "Updated description for the skill.",
  "experimental": false,
  "id": "my-custom-skill",
  "name": "Updated Skill Name",
  "readonly": false,
  "tool_ids": [
    "platform.core.search",
    "platform.core.execute_esql"
  ]
}